import { ReactElement, useMemo } from 'react';

import { NsAccordion } from '@nuskin/foundation-ui-components';

import cleanItems from './utils/cleanItems';
import { NsAccordionType } from './types/types';

const CsAccordion = (props: NsAccordionType): ReactElement => {
    const { level, variant, multiple_open, items, invert, $ } = props;
    const accordionItems = useMemo(() => cleanItems(items), [items]);
    return (
        <div className="container">
            <NsAccordion
                invert={invert || false}
                items={accordionItems}
                level={Number(level) || 0}
                variant={variant || 'basic'}
                allowMultipleExpanded={multiple_open || false}
            />
        </div>
    );
};
export default CsAccordion;
