import { AccordionVariantType, CslpTag } from '@nuskin/foundation-ui-components';

export type CsAccordionItem = {
    item_title: string;
    type: 'html' | 'text' | 'accordion';
    default_open: boolean;
    rte: string;
    text_description: string;
    accordion: NsAccordionType[];
    _metadata: {
        uid: string;
    };
    $?: {
        item_title: CslpTag;
        rte: CslpTag;
    };
};
export type NsAccordionType = {
    level: number;
    variant: AccordionVariantType;
    multiple_open: boolean;
    items: CsAccordionItem[];
    invert: boolean;
    $?: {
        items: CslpTag;
        items__parent: CslpTag;
    } & Record<string, CslpTag>;
};
