import { PropsWithChildren, ReactElement } from 'react';

import { CardBlockMap } from './CardMap';
import { parseJsonString } from '../utils';

type CardParserProps = {
    card: string;
};

const getBlockUUID = (block: any) => {
    return block?.variant;
};

const CsCard = (props: PropsWithChildren<CardParserProps>):ReactElement => {
    const cardData = parseJsonString(props.card);
    const blockType = getBlockUUID(cardData);
    const cardBody = CardBlockMap[blockType];
    const blockData: any = cardBody?.dataParser(cardData);
    const BlockComponent = cardBody?.component;
    if (!BlockComponent) return <></>;
    return <BlockComponent {...blockData} />;
};

export default CsCard;
