import pathOr from 'ramda/src/pathOr';

import { BynderImageDataType, BynderImageDerivativeTypes } from './types';

export const getButtonModel = (data: any) => ({
    showButton: data?.showButton || '',
    url: data?.url || '',
    buttonText: data?.buttonText || '',
    buttonVariant: data?.buttonVariant || '',
    endIcon: data?.endIcon || '',
    buttonColor: data?.buttonColor || '',
    fullWidth: data?.ButtonfullWidth || ''
});

export const getBackgroundImageUrl = (data: {
    backgroundImageUrl: BynderImageDataType[];
}): string => {
    return pathOr('', ['backgroundImageUrl', '0', 'selected', 'url'])(data);
};

export const getBackgroundBrandImageUrl = (data: {
    backgroundBrandImageUrl: BynderImageDataType[];
}): string => {
    return pathOr('', ['backgroundBrandImageUrl', '0', 'selected', 'url'])(data);
};

export const getBynderImageUrl = (data: any) => {
    const { files, selected } = data?.backgroundImageUrl ?? [{}];
    if (selected?.url) return selected.url;
    return getBynderImageObj(files)?.url ?? '';
};

export const getBynderImageObj = (
    files: BynderImageDataType['files'],
    derivativeName: BynderImageDerivativeTypes = ''
) => {
    if (derivativeName && files?.[derivativeName]) {
        return {
            derivativeName,
            ...files?.[derivativeName]
        };
    } else {
        const keys: BynderImageDerivativeTypes[] = [
            'transformBaseUrl',
            'webImage',
            'thumbnail',
            'mini',
            'original'
        ];
        for (const key of keys) {
            if (files?.[key]) {
                return {
                    derivativeName: key,
                    ...files?.[key]
                };
            }
        }
    }
};
