import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import { getBackgroundImageUrl } from './card-model-util';
import { CardTypeName } from './types';

const getIconTextCardModel = (data: any) => ({
    text: data?.iconTextCardTitle || '',
    body: data?.iconTextCardDescription || '',
    backgroundImageUrl: getBackgroundImageUrl(data),
    backgroundImageAlt: data?.iconTextCardImageAltText || '',
    className: data?.className || ''
});

export const getIconTextCardData = compose(
    getIconTextCardModel,
    pathOr({}, [CardTypeName.IconTextCard])
);
