import pathOr from 'ramda/src/pathOr';
import compose from 'ramda/src/compose';
import { CardTypeName } from './types';
import { getBackgroundImageUrl, getButtonModel } from './card-model-util';

const getLargeCardModel = (data: any) => ({
    title: data?.title || '',
    subtitle: data?.subtitle || '',
    intro: data?.intro || '',
    backgroundImageUrl: getBackgroundImageUrl(data),
    backgroundImageAlt: data?.backgroundImageAlt || '',
    isHorizontal: data?.isHorizontal || '',
    className: data?.className || '',
    button: getButtonModel(data)
});

export const getLargeCardData = compose(getLargeCardModel, pathOr({}, [CardTypeName.LargeCard]));
