import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import { getBackgroundImageUrl } from './card-model-util';
import { CardTypeName } from './types';

const getPostCardModel = (data: any) => ({
    text: data?.postCardTitle || '',
    body: data?.postCardSubtitle || '',
    backgroundImageUrl: getBackgroundImageUrl(data),
    backgroundImageAlt: data?.postCardImageAltText || '',
    className: data?.className || ''
});

export const getPostCardData = compose(getPostCardModel, pathOr({}, [CardTypeName.PostCard]));
