import pathOr from 'ramda/src/pathOr';
import compose from 'ramda/src/compose';
import { CardTypeName } from './types';
import { getBackgroundImageUrl, getButtonModel } from './card-model-util';

const getSmallFullCardModel = (data: any) => ({
    title: data?.title || '',
    subtitle: data?.subtitle || '',
    backgroundImageUrl: getBackgroundImageUrl(data),
    backgroundImageAlt: data?.backgroundImageAlt || '',
    className: data?.className || '',
    button: getButtonModel(data)
});

export const getSmallFullCardData = compose(
    getSmallFullCardModel,
    pathOr({}, [CardTypeName.SmallFullCard])
);
