import { ReactElement } from 'react';
import { NsButton } from '@nuskin/foundation-ui-components';

import { PrimaryLinkWrapper } from '../helper-components/CtaLink.styled';
import { CtaLinkItemProps } from '../types/types';
import { useRouteReplacer } from '../../hooks';

const Primary = (props: CtaLinkItemProps): ReactElement => {
    const { text, url, btnVariant, color = 'primary' } = props;
    const { url: sanatizedUrl = '' } = useRouteReplacer(url);
    return (
        <NsButton color={color} variant={btnVariant}>
            <PrimaryLinkWrapper href={sanatizedUrl} underlineOnHover={false}>
                {text}
            </PrimaryLinkWrapper>
        </NsButton>
    );
};

export default Primary;
