import { PropsWithChildren } from 'react';

import { HeroBlockMap } from './HeroMap';
import { BannerProps } from './types/types';
import { extractContentType } from '../utils';

type HeroParserProps = {
    hero: BannerProps[];
};

const NsHero = ({ hero }: PropsWithChildren<HeroParserProps>) => {
    const csBlockData = hero?.find((heroItem) => Object.values(heroItem)?.[0].show);
    if (!csBlockData) return <></>;
    const blockType = extractContentType(csBlockData);
    const { dataParser, component: BlockComponent = null } = HeroBlockMap[blockType] || {};
    if (!BlockComponent) return <></>;
    const blockData: any = dataParser(csBlockData);
    return <BlockComponent {...blockData} />;
};

export default NsHero;
