import { NextGenThemeProvider } from '@nuskin/foundation-theme';
import { renderHook } from '@testing-library/react';

import useToggleFontColor from './useToggleFontColor';

const wrapper = ({ children }: any) => (
    <NextGenThemeProvider mode="light">{children}</NextGenThemeProvider>
);

const renderHookWithContext = (hook: any, initialProps?: any) => renderHook(hook, { initialProps, wrapper });

describe('Hero - Hooks - useToggleFontColor - Using genome theme', () => {
    describe('Default', () => {
        it('should result to theme\'s primary main pallette', () => {
            const { result: { current } } = renderHookWithContext(useToggleFontColor);
            expect(current).toBe('#252525');
        });
    });

    describe('Given false', () => {
        it('should result to theme\'s primary main pallette', () => {
            const { result: { current } } = renderHookWithContext(useToggleFontColor, false);
            expect(current).toBe('#252525');
        });
    });

    describe('Given true', () => {
        it('should result to theme\'s primary contrastText pallette', () => {
            const { result: { current } } = renderHookWithContext(useToggleFontColor, true);
            expect(current).toBe('#FFFFFF');
        });
    });
});
