import propOr from 'ramda/src/propOr';

import { ShowcasePropName } from './types';
import { getBrandColor, getCallToAction } from '../../utils/model-utils';

// TODO: create a utility function for live tag parsing
const getLiveTags = (data: Record<string, any>) => {
    // console.log('data in getlive tags', data, data?.$);
    if (data?.$) {
        return {
            preHeader: data?.$?.[ShowcasePropName.preHeader],
            header: data?.$?.[ShowcasePropName.preHeader],
            description: data?.$?.[ShowcasePropName.description],
            image: data?.$?.image,
            accentImage: data?.$?.accent_image,
            callToAction: data?.$?.[ShowcasePropName.callToAction]
        };
    }
};

export const BASE_SHOWCASE_PROPS = {
    preHeader: propOr('', ShowcasePropName.preHeader),
    preHeaderBackgroundColor: propOr('', ShowcasePropName.preHeaderBackgroundColor),
    header: propOr('', ShowcasePropName.header),
    description: propOr('', ShowcasePropName.description),
    fontColor: propOr('', ShowcasePropName.fontColor),
    backgroundColor: getBrandColor(ShowcasePropName.backgroundColor),
    alignment: propOr('', ShowcasePropName.imageAlignment),
    image: propOr('', 'image'),
    accentImage: propOr('', 'accent_image'),
    callToAction: getCallToAction(ShowcasePropName.callToAction),
    liveTags: getLiveTags
};
