import { render } from '@testing-library/react';

import NsShowcaseComponent from '../NsShowcaseComponent';

describe('NsShowcaseComponent', () => {
    const showcaseBlockProps = {
        showcase: [
            {
                someBlockType: {
                    prop1: 'value1',
                    prop2: 'value2'
                }
            }
        ]
    };

    it('1. renders nothing when no showcase blocks are provided', () => {
        const { container } = render(<NsShowcaseComponent showcase={[]} />);
        expect(container.firstChild).toBeNull();
    });

    it('2. renders nothing when showcase blocks are invalid', () => {
        const { container } = render(<NsShowcaseComponent showcase={[{ invalidBlockType: {} }]} />);
        expect(container.firstChild).toBeNull();
    });
    it('3. tests data parser', () => {
        const { container } = render(<NsShowcaseComponent showcase={[{ showcase: {} }]} />);
        const el = container.querySelector('.showcase-default');
        expect(el).toBeDefined();
    });
});
