import { imageString1, imageString2 } from '../../../fixtures/images';
import { ShowcaseProps } from '../../types/types';
import { ShowCaseListProps } from '../showcase-list/ShowcaseList';

export const SHOWCASE_DEFAULT: ShowcaseProps = {
    preHeader: 'mock pre header',
    header: 'mock header',
    description: 'mock description',
    image: imageString1,
    accentImage: imageString2,
    callToAction: {
        url: 'mock cta url',
        text: 'mock cta text'
    },
    alignment: 'left',
    preHeaderBackgroundColor: false,
    backgroundColor: 'transparent'
};

export const SHOWCASE_LIST: ShowCaseListProps = {
    title: 'Lorem ipsum dolor sit',
    image: imageString1,
    alignment: 'right',
    iconBgColor: 'N100',
    iconColor: true,
    entries: [
        'Make sure to rinse as much product as possible out of the container before you recycle it.',
        'Make sure to rinse as much product as possible out of the container before you recycle it. 1',
        'Make sure to rinse as much product as possible out of the container before you recycle it. 2',
        'Make sure to rinse as much product as possible out of the container before you recycle it. 34'
    ],
    fontColor: false,
    backgroundColor: 'Info-50'
};
