import getStatementPage from './model/statement-model';
import DefaultStatement from './variants/DefaultStatement';
import FootNoteComponent from './variants/FootNote';
import QuoteComponent from './variants/Quote';

type StatementBlockMapType = {
    [key: string]: {
        component: React.ElementType;
        dataParser: (props: any) => void;
    };
};

export const StatementBlockMap: StatementBlockMapType = {
    default: {
        dataParser: getStatementPage,
        component: DefaultStatement
    },
    quote: {
        dataParser: getStatementPage,
        component: QuoteComponent
    },
    footnote: {
        dataParser: getStatementPage,
        component: FootNoteComponent
    }
};
