import { ReactElement } from 'react';

import { StatementVariantProps } from '../types/types';
import { Default } from './Statement.styled';

const DefaultStatement = ({ statementItem }: StatementVariantProps): ReactElement => {
    const { header, fontColor, liveTags } = statementItem || {};
    const cslp = liveTags?.header ?? {};
    return (
        <Default
            variant="h5"
            weight="normal"
            color={fontColor}
            additionalProps={{
                'data-testid': 'default-statement-component',
                ...cslp
            }}
            className="default-statement px-7 py-8 md:px-12 flex justify-center text-center !mx-auto"
        >
            {header}
        </Default>
    );
};

export default DefaultStatement;
