import { ReactElement } from 'react';

import { NsTypography } from '@nuskin/foundation-ui-components';

import { StatementVariantProps } from '../types/types';

const FootNoteComponent = ({ statementItem }: StatementVariantProps): ReactElement => {
    const { header, fontColor, liveTags } = statementItem;
    const cslp = liveTags?.header || {};
    return (
        <NsTypography
            variant="body-m"
            weight="normal"
            color={fontColor}
            additionalProps={{
                'data-testid': 'footNote-statement-component',
                ...cslp
            }}
            className="foot-note-statement px-7 py-8 md:px-12 flex justify-center text-center"
        >
            {header}
        </NsTypography>
    );
};

export default FootNoteComponent;
