import { ReactElement } from 'react';

import { StatementVariantProps } from '../types/types';
import { QuoteStyledText } from './Statement.styled';

const QuoteComponent = ({ statementItem }: StatementVariantProps): ReactElement => {
    const { header, fontColor, liveTags } = statementItem || {};
    const cslp = liveTags?.header ?? {};
    return (
        <QuoteStyledText
            variant="h5"
            weight="normal"
            color={fontColor}
            additionalProps={{
                'data-testid': 'quote-statement-component',
                ...cslp
            }}
            className="quote-statement px-7 py-8 md:px-12 flex justify-center text-center !mx-auto"
        >
            <blockquote>{header}</blockquote>
        </QuoteStyledText>
    );
};

export default QuoteComponent;
