import { styled } from '@nuskin/foundation-theme';
import { NsTypography } from '@nuskin/foundation-ui-components';

import { breakpoints } from '../../theme';

export const QuoteStyledText = styled(NsTypography)`
    font-size: 26px;
    line-height: 32px;
    ${breakpoints.md} {
        max-width: 960px;
        font-size: 36px;
        line-height: 44px;
    }
    blockquote {
        max-width: 960px;
        margin: 0;
    }
    blockquote:before {
        content: '“';
        left: -5rem;
        top: -2rem;
    }
    blockquote:after {
        content: '”';
        right: -5rem;
        bottom: 1rem;
    }
`;

export const Default = styled(NsTypography)`
    font-size: 26px;
    line-height: 32px;
    ${breakpoints.md} {
        max-width: 960px;
        font-size: 36px;
        line-height: 44px;
    }
`;
export const FootNoteText = styled(NsTypography)`
    font-size: 13px;
    line-height: 18px;
    padding: 30px;
    ${breakpoints.md} {
        padding: 30px 80px;
        font-size: 14px;
        line-height: 20px;
    }
`;
