import { render } from '@testing-library/react';

import NsStatementComponent from '../../Statement';
import { ItemsProps, StatementVariantProps } from '../../types/types';
import DefaultComponent from '../DefaultStatement';
import FootNoteComponent from '../FootNote';
import QuoteComponent from '../Quote';
import { StatementComponentProps, StatementItemProps } from '../../specs/fixtures';

describe('Statement Component', () => {
    beforeEach(() => {
        console.error = jest.fn();
        console.warn = jest.fn();
    });
    const data: StatementVariantProps = {
        statementItem: StatementItemProps as ItemsProps
    };
    it('1. renders default component', () => {
        const { getByTestId } = render(<DefaultComponent {...data} />);

        expect(getByTestId('default-statement-component')).toBeInTheDocument();
    });

    it('render quote component', () => {
        const { getByTestId } = render(<QuoteComponent {...data} />);
        expect(getByTestId('quote-statement-component')).toBeInTheDocument();
    });

    it('render footNote component', () => {
        const { getByTestId } = render(<FootNoteComponent {...data} />);
        expect(getByTestId('footNote-statement-component')).toBeInTheDocument();
    });

    it('render NsStatementComponent ', () => {
        const { container } = render(
            <NsStatementComponent statement={StatementComponentProps?.statement} />
        );
        expect(container).toMatchSnapshot();
    });
});
