import { isBrowser } from './base-util';

export const removeFromLocalStorage = (keys: string | string[]) => {
    if (typeof keys === 'string') {
        localStorage.removeItem(keys);
    } else if (keys?.length) {
        keys?.forEach((key) => {
            localStorage.removeItem(key);
        });
    }
};

export const getLocalStorage = (storageName: string) => {
    try {
        if (isBrowser()) {
            const storage = localStorage.getItem(storageName);
            try {
                return JSON.parse(storage || '');
            } catch (e) {
                return storage;
            }
        }
    } catch (e) {
        console.error('Exception in storage', e);
    }
}

export const setLocalStorage = (storageName: string, value: string) => {
    try {
        if (isBrowser()) {
            localStorage.setItem(storageName, value);
        }
    } catch (e) {
        console.error('Exception in storage', e);
    }
}

export const setSessionStorage = (storageName: string, value: string) => {
    try {
        if (isBrowser()) {
            sessionStorage.setItem(storageName, value);
        }
    } catch (e) {
        console.error('Exception in storage', e);
    }
}
