import { CslpTag } from '@nuskin/foundation-ui-components';

export type VideoParserProps = {
    type?: string;
    video: VideoProps[];
    show: boolean;
    width: string,
    height: string,
    title: string
};

export interface DefaultVideoProps {
    show?: boolean;
    title?: string;
    width?: string;
    height?: string;
    items: VideoItems
}

export interface VideoItems {
    type: string;
    allowFullScreen?: boolean;
    href: string;
    liveTag?: CslpTag;
}

export enum VideoTypeName {
    videoComponent = 'video',
    show = 'show',
    title = 'title',
    default = 'default',
    defaultVideo = 'default_video',
    container_background_color = 'container_background_color',
    fullWidth = 'full_width',
    gap = 'include_gap',
    height = 'height',
    width = 'width',
    allowFullScreen = 'allow_full_screen',
    url = 'url',
    href = 'href',
    urlTitle = 'title',
    videoSource = 'videoSource'
}

export type VideoProps = {
    default: {
        default_video: {
            type: string;
            url: string,
            allowFullScreen?: boolean;
        }
    };
};
